Bug 1559596 (CVE-2017-18236) - CVE-2017-18236 exempi: Infinite loop in ASF_Support::ReadHeaderObject function in XMPFiles/source/FormatSupport/ASF_Support.cpp
Summary: CVE-2017-18236 exempi: Infinite loop in ASF_Support::ReadHeaderObject functio...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-18236
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1559578 1559603 1574904 1574905
Blocks: 1559602
TreeView+ depends on / blocked
 
Reported: 2018-03-22 20:37 UTC by Laura Pardo
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version: exempi 2.4.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2048 None None None 2019-08-06 12:07:26 UTC

Description Laura Pardo 2018-03-22 20:37:42 UTC
An issue was discovered in Exempi before 2.4.4. The ASF_Support::ReadHeaderObject function in XMPFiles/source/FormatSupport/ASF_Support.cpp allows remote attackers to cause a denial of service (infinite loop) via a crafted .asf file.

Reference:
https://bugs.freedesktop.org/show_bug.cgi?id=102484

Patch:
https://cgit.freedesktop.org/exempi/commit/?id=fe59605d3520bf2ca4e0a963d194f10e9fee5806

Comment 1 Laura Pardo 2018-03-22 20:56:33 UTC
Created exempi tracking bugs for this issue:

Affects: fedora-all [bug 1559578]

Comment 5 errata-xmlrpc 2019-08-06 12:07:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2048 https://access.redhat.com/errata/RHSA-2019:2048

Comment 6 Product Security DevOps Team 2019-08-06 19:18:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-18236


Note You need to log in before you can comment on or make changes to this bug.